INTERFACE
subroutine hlavcbr( koption ,&
 & ksvar , kstep , ldstat ,&
 & khor , klev , kstart ,&
 & kstop , pdtime , pt ,&
 & pq , pu , pv ,&
 & pcw , psv ,&
 & pgpot , ppf , pph ,&
 & pps , pts , ppblh ,&
 & pcld2 , psenf , platf ,&
 & ptaux , ptauy , pustaro ,&
 & ptendu , ptendv , ptendt ,&
 & ptendq , ptendql, ptendsv ,&
 & pstddif , pstdif ) 
use parkind1 ,only : jpim, jprb
integer(kind=jpim), intent(in) :: koption(20)
integer(kind=jpim), intent(in) :: ksvar
integer(kind=jpim), intent(in) :: kstep
integer(kind=jpim), intent(in) :: khor
integer(kind=jpim), intent(in) :: klev
integer(kind=jpim), intent(in) :: kstart
integer(kind=jpim), intent(in) :: kstop
real(kind=jprb) , intent(in) :: pdtime
logical , intent(in) :: ldstat
real(kind=jprb) , intent(in) :: pps(khor)
real(kind=jprb) , intent(inout) :: pstdif(klev)
real(kind=jprb) , intent(inout) :: pstddif(klev)
real(kind=jprb) , intent(in) :: pts(khor)
real(kind=jprb) , intent(in) :: psenf(khor)
real(kind=jprb) , intent(in) :: platf(khor)
real(kind=jprb) , intent(in) :: ptaux(khor)
real(kind=jprb) , intent(in) :: ptauy(khor)
real(kind=jprb) , intent(inout) :: pustaro(khor)
real(kind=jprb) , intent(in) :: ppblh(khor)
real(kind=jprb) , intent(in) :: pt(khor,klev)
real(kind=jprb) , intent(in) :: pq(khor,klev)
real(kind=jprb) , intent(in) :: pu(khor,klev)
real(kind=jprb) , intent(in) :: pv(khor,klev)
real(kind=jprb) , intent(in) :: pcw(khor,klev)
real(kind=jprb) , intent(inout) :: psv(khor,klev,*)
real(kind=jprb) , intent(in) :: pgpot(khor,klev)
real(kind=jprb) , intent(in) :: ppf(khor,klev)
real(kind=jprb) , intent(in) :: pph(khor,0:klev)
real(kind=jprb) , intent(in) :: pcld2(khor,klev)
real(kind=jprb) , intent(inout) :: ptendu (khor,klev)
real(kind=jprb) , intent(inout) :: ptendv (khor,klev)
real(kind=jprb) , intent(inout) :: ptendt (khor,klev)
real(kind=jprb) , intent(inout) :: ptendq (khor,klev)
real(kind=jprb) , intent(inout) :: ptendql (khor,klev)
real(kind=jprb) , intent(inout) :: ptendsv (khor,klev,*)
end subroutine hlavcbr
END INTERFACE
